{
  "name": "@push.rocks/smartfile",
  "private": false,
  "version": "10.0.28",
  "description": "offers smart ways to work with files in nodejs",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "scripts": {
    "test": "(tstest test/)",
    "build": "(tsbuild --web --allowimplicitany)",
    "buildDocs": "tsdoc"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/pushrocks/smartfile.git"
  },
  "keywords": [
    "filesystem",
    "json"
  ],
  "author": "Lossless GmbH <hello@lossless.com> (https://lossless.com)",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/pushrocks/smartfile/issues"
  },
  "homepage": "https://gitlab.com/pushrocks/smartfile",
  "dependencies": {
    "@push.rocks/lik": "^6.0.2",
    "@push.rocks/smartdelay": "^3.0.1",
    "@push.rocks/smartfile-interfaces": "^1.0.7",
    "@push.rocks/smarthash": "^3.0.2",
    "@push.rocks/smartjson": "^5.0.6",
    "@push.rocks/smartmime": "^1.0.5",
    "@push.rocks/smartpath": "^5.0.5",
    "@push.rocks/smartpromise": "^4.0.2",
    "@push.rocks/smartrequest": "^2.0.15",
    "@push.rocks/smartstream": "^2.0.3",
    "@types/fs-extra": "^11.0.1",
    "@types/glob": "^8.1.0",
    "@types/js-yaml": "^4.0.5",
    "fs-extra": "^11.1.1",
    "glob": "^10.3.3",
    "js-yaml": "^4.1.0"
  },
  "devDependencies": {
    "@gitzone/tsbuild": "^2.1.66",
    "@gitzone/tsrun": "^1.2.42",
    "@gitzone/tstest": "^1.0.74",
    "@pushrocks/tapbundle": "^5.0.8",
    "@types/node": "^20.4.1"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ]
}
